# The MEME Suite

## Motif-based sequence analysis tools

## qvalue

### Usage:

`qvalue [options] <p-values file>`

### Description

Takes as input a list of p-values and prints a corresponding list of q-values, computed using the method of Benjamini and Hochberg (Journal of the Royal Statistical Society B, 57:289-300, 1995).

### Input

<p-values file>

The name of a tab separated file containing a column of p-values. Other columns may exist. If the name is - then the input data is read from standard input.

### Output

Outputs tab-delimited columns. If the --append option is specified then the line from the input is listed first, followed by the p-value (only when raw scores are specified) and q-value. Otherwise it outputs the raw score (only when raw scores are specified) followed by the p-value and q-value. The lines are sorted by p-value.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
--null | file | Treat the primary input file as raw scores, and begin by estimating p-values from the empirical null scores given in this file. The --header and --column arguments apply to this file as well as the primary input file. | The primary input is assumed to actually contain p-values.
--good-score | high|​low | Choose low if smaller scores are better or high if larger scores are better. | Smaller scores are considered better.
--pi-zero |  | Estimate the fraction (pi-zero) of the empirical distribution that is drawn according to the null hypothesis. This uses the method described in: John Storey, "A direct approach to false discovery rates", Journal of the Royal Statistical Society B, 64:3, 479-498, 2002. | The estimation step is skipped and the program conservatively sets pi-zero to 100%.
--pi-zero-file | file name | Specify a file to store the pi-zero estimate in. This option implies the --pi-zero option. | The results of the pi-zero estimate (if calculated) are not stored in a file.
--fdr |  | Only compute false discovery rate (FDR) estimates. | The FDR values are converted into q-values.
--bootstraps | num | Number of bootstraps to perform when estimating pi-zero. | The program performs 1000 bootstraps.
--header | line count | Treat the first line count lines of the p-values file as the header. If the --append option is specified these lines will also be included in the output. | No lines are treated as headers.
--column | column number | Read the p-value from the specified column number. The first column is 1, the second column is 2 and so on... | The p-value is read from the first column.
--append |  | Print all the columns in the input file to standard output with additional p-value (raw scores only) and q-value columns. | Print the raw score (only when raw scores are supplied), p-value and q-value in tab separated columns.
--seed | seed | Set the seed value for the pseudo-random number generator. | The seed value is set from the system clock.